[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomShape.Create

Constructor for the class instance.

## Declaration

Source position: extctrls.pp line 294

`public constructor TCustomShape.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. It calls the inherited constructor on entry to instantiate and configure the control including its Canvas. It sets the initial bounds for the control using the default size for the class type. Create allocates resources needed for the Pen and Brush in the control, and assigns the OnChange handlers notified when the members have been changed.

## See also

TCustomShape.Brush |  | The Brush used to fill the shaped control.
TCustomShape.Pen |  | The Pen used to draw lines on the shaped control.
TCustomShape.GetControlClassDefaultSize |  | Gets the default size for instances of the control.
TGraphicControl.Canvas |  | A clipped window into the parent Canvas.
TGraphicControl.Create |  | Constructor for the class instance.
TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.